searchData={"content_type":"text/markdown","items":[{"doc":"","ref":"ExGraphQL.html","title":"ExGraphQL","type":"module"},{"doc":"","ref":"ExGraphQL.html#execute/4","title":"ExGraphQL.execute/4","type":"function"},{"doc":"","ref":"ExGraphQL.html#query/2","title":"ExGraphQL.query/2","type":"function"},{"doc":"","ref":"ExGraphQL.Client.html","title":"ExGraphQL.Client","type":"module"},{"doc":"Use execute to post the query\nfunction will manage returning status","ref":"ExGraphQL.Client.html#execute/3","title":"ExGraphQL.Client.execute/3","type":"function"},{"doc":"Defines a behaviour and macros for creating GraphQL objects","ref":"ExGraphQL.Object.html","title":"ExGraphQL.Object","type":"behaviour"},{"doc":"","ref":"ExGraphQL.Object.html#c:__graphql_fields__/0","title":"ExGraphQL.Object.__graphql_fields__/0","type":"callback"},{"doc":"","ref":"ExGraphQL.Object.html#gql_field/3","title":"ExGraphQL.Object.gql_field/3","type":"macro"},{"doc":"Advanced GraphQL query builder supporting infinite levels of nested objects","ref":"ExGraphQL.QueryBuilder.html","title":"ExGraphQL.QueryBuilder","type":"module"},{"doc":"","ref":"ExGraphQL.QueryBuilder.html#build_query/3","title":"ExGraphQL.QueryBuilder.build_query/3","type":"function"},{"doc":"# Overview\n\nExGraphQL is a light library to perform query to GraphQL API via Elixir redefining the target object schema and making query more readable","ref":"overview.html","title":"Overview","type":"extras"},{"doc":"If you're new to GraphQL, we suggest you read up a bit on GraphQL's foundational principles before you dive into Absinthe.\n\nHere are a few resources that might be helpful:\n\n- The official [GraphQL](https://graphql.org/) website","ref":"overview.html#graphql-basics","title":"GraphQL Basics - Overview","type":"extras"},{"doc":"ExGraphQL feature\n* Object: provide a simple way to define object and their parameter with type and nested object\n* QueryBuilder: provide a smart way to apply filter to your query and define the schema of return\n* Client: provide a client for graphQL to simply set config information and call API","ref":"overview.html#exgraphql","title":"ExGraphQL - Overview","type":"extras"},{"doc":"To contribute to the guides, please submit a pull request to the [ExGraphQL](https://github.com/vittorio-reinaudo/ex-graphql) project on GitHub.\n\nYou'll find the content under `guides/`.","ref":"overview.html#guides","title":"Guides - Overview","type":"extras"},{"doc":"# Installation\n\nTo install ExGraphQL, just add an entry to your `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    # ...\n    {:ex_graphql, \"~> 0.1\"}\n  ]\nend\n```\n\n(Check [Hex](https://hex.pm/packages/ex_graphql) to make sure you're using an up-to-date version number.)","ref":"installation.html","title":"Installation","type":"extras"},{"doc":"```elixir\ndefmodule MyApp.GQLObject.Organization do\n  use ExGraphQL.Object\n\n  gql_field(:id, :integer)\n  gql_field(:name, :string)\n  gql_field(:country, :string)\nend\n```","ref":"installation.html#configure-first-object","title":"Configure first object - Installation","type":"extras"},{"doc":"```elixir\ndefmodule MyApp.GQLObject.Team do\n  use ExGraphQL.Object\n\n  gql_field(:id, :integer)\n  gql_field(:name, :string)\n  gql_field(:organization, MyApp.GQLObject.Organization)\nend\n```","ref":"installation.html#declare-a-nested-object","title":"Declare a nested object - Installation","type":"extras"},{"doc":"```elixir\ndefmodule MyApp.GraphAPI do\n  base_url = \"https://api.graph-provider/graphql\"\n  token = System.get_env(\"graph_api_token\", \"\")\n  query = ExGraphQL.QueryBuilder.build_query(MyApp.Object.Team)\n  ExGraphQL.Client.execute(base_url, token, query)\nend\n```","ref":"installation.html#make-your-first-query","title":"Make your first query - Installation","type":"extras"},{"doc":"```elixir\ndefmodule MyApp.GraphAPI do\n  base_url = \"https://api.graph-provider/graphql\"\n  token = System.get_env(\"graph_api_token\", \"\")\n  query = ExGraphQL.QueryBuilder.build_query(MyApp.Object.Team, \n    name: [eq: \"my-team\"],\n    organization: [\n      country: [contains: \"ita\"]\n    ]\n  )\n  ExGraphQL.Client.execute(base_url, token, query)\nend\n```","ref":"installation.html#add-filter-to-your-query","title":"Add filter to your query - Installation","type":"extras"}],"producer":{"name":"ex_doc","version":"0.35.1"},"proglang":"elixir"}